Update production pull sequence
post
/fscmRestApi/resources/11.13.18.05/kanbanPlans/action/updateProduction
Updates to the production pull sequence occur when the client sends the Pull Sequence ID, and the application then updates the corresponding production pull sequence.
Request
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
Show Source
object-
pullSequenceId: number
Value that uniquely identifies the pull sequence.
Response
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): string
If the action completes successfully, then it returns a success message.
Examples
This example describes how to update a production pull sequence.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/kanbanPlans/action/updateProduction"
Example Request Body
The following example includes the contents of the request
body in JSON format. You replace the request
payload in the cURL command with the contents of the Example Request Body.
The request payload specifies attribute values that the command will use in the
record that it updates.
{
"pullSequenceId": 3007
}Example Response Body
The following example includes the contents of the response body in JSON format: